# module Tk::BLT::Ted

### Constants

TkCommandNames

### Public Class Methods

cget(master, option) click to toggle source

    # File lib/tkextlib/blt/ted.rb, line 40
    def cget(master, option)
      itemcget(master, option)
    end

cget_strict(master, option) click to toggle source

    # File lib/tkextlib/blt/ted.rb, line 43
    def cget_strict(master, option)
      itemcget_strict(master, option)
    end

cget_tkstring(master, option) click to toggle source

    # File lib/tkextlib/blt/ted.rb, line 37
    def cget_tkstring(master, option)
      itemcget_tkstring(master, option)
    end

configinfo(master, slot=nil) click to toggle source

    # File lib/tkextlib/blt/ted.rb, line 49
    def configinfo(master, slot=nil)
      itemconfiginfo(master, slot)
    end

configure(master, slot, value=None) click to toggle source

    # File lib/tkextlib/blt/ted.rb, line 46
    def configure(master, slot, value=None)
      itemconfigure(master, slot, value)
    end

current_configinfo(master, slot=nil) click to toggle source

    # File lib/tkextlib/blt/ted.rb, line 52
    def current_configinfo(master, slot=nil)
      current_itemconfiginfo(master, slot)
    end

edit(master, *args) click to toggle source

    # File lib/tkextlib/blt/ted.rb, line 59
    def self.edit(master, *args)
      tk_call('::blt::ted', 'edit', master, *args)
    end

rep(master, *args) click to toggle source

    # File lib/tkextlib/blt/ted.rb, line 62
    def self.rep(master, *args)
      tk_call('::blt::ted', 'rep', master, *args)
    end

select(master, *args) click to toggle source

    # File lib/tkextlib/blt/ted.rb, line 65
    def self.select(master, *args)
      tk_call('::blt::ted', 'select', master, *args)
    end

### Private Class Methods

__item_cget_cmd(id) click to toggle source

    # File lib/tkextlib/blt/ted.rb, line 24
    def __item_cget_cmd(id)
      ['::blt::ted', 'cget', id]
    end

__item_config_cmd(id) click to toggle source

    # File lib/tkextlib/blt/ted.rb, line 29
    def __item_config_cmd(id)
      ['::blt::ted', 'configure', id]
    end